""" Fichier contacts.py """

from structure_pdb import structure_pdb
from contacts_utils import calcul_distances, graphique_distances


def contacts(id_pdb="", ch1="", ch2=""):

    """ distances entre carbones alpha et carte des contacts
        de deux chaines polypeptidiques d'un fichier-structure
                                                     de la PDB """
    # 1. récupération de la structure

    structure = structure_pdb(id_pdb, ch1, ch2)
    if structure is None:
        return
    modele = structure[0]

    # 2. calcul et affichage des distances

    distances = calcul_distances(modele, ch1, ch2)

    # 3. représentation graphique

    graphique_distances(id_pdb, ch1, ch2, distances)


if __name__ == "__main__":  # auto-test

    contacts("")       # rappel de la syntaxe
    contacts("1X")     # structure inexistante
    contacts("1XI4")   # structure existante, aucune chaine fournie
    contacts("1XI4", "M", "Z")  # structure existante, chaine incorrecte
    contacts("2NBT", "A", "B")  # structure existante, chaines OK

# fin de l'auto-test
