""" Fichier gc_histogram.py """

import matplotlib.pyplot as plt
from gctm import gc_tm


def histogram_gc(sequence):

    """ histogramme des nucléotides """

    nucl_res = gc_tm(sequence)['compteurs']
    nucl_nom = nucl_res.keys()
    nucl_val = nucl_res.values()
    axe_x = range(len(nucl_val))
    plt.bar(axe_x, nucl_val)
    plt.xticks(axe_x, nucl_nom)
    plt.xlabel("Nucléotide")
    plt.ylabel("Nombre")
    plt.savefig('gc_histogram.png', dpi=60, format='png')


if __name__ == "__main__":  # auto-test

    XMP = "AGGGAAAGAGCCCGCGCTCCTCGGCGCGAATAGAGAAG"
    histogram_gc(XMP)  # exemple de la figure 1.3

# fin de l'auto-test
