""" Fichier numacc.py """

import re


def extrait_num_acc(code_id):

    """ extrait le numéro d'accession
        à partir du code identifiant             """

    new_code_acc = code_id
    regexp = re.compile(r"^([a-z]+?)\|(.*?)\|(.*)$")

    # s'il n'y a pas de caractère |, il n'y a rien à faire

    if regexp.match(code_id):
        res_rch = regexp.search(code_id)
        new_code_acc = res_rch.group(2)
        apres = res_rch.group(3)
        if new_code_acc.find(".") != -1:
            pos_point = new_code_acc.index(".")
            new_code_acc = new_code_acc[:pos_point]
        if len(apres) > 0:
            new_code_acc = new_code_acc + "_" + apres

    return new_code_acc


def montre_new_code_acc(code_id):

    """ affichage le code identifiant
        et le numéro d'accession associée  """

    print(" code identifiant original = ", code_id)
    code_acc = extrait_num_acc(code_id)
    print(" numéro d'accession        = ",
              code_acc, end="\n\n")


if __name__ == "__main__":  # auto-test

    montre_new_code_acc("1KBA")
    montre_new_code_acc("pdb|1KBA|A")
    montre_new_code_acc("sp|P01398.2|")
    montre_new_code_acc("sp|P01398.2|B")

# fin de l'auto-test
