""" Fichier profilhyd_gr.py """

from pylab import plot, xlabel, ylabel, title, legend, \
                                    grid, text, savefig
from profilhyd_biopython import profil_hydro


def profil_hydro_gr(fic_ou_uniprot, taille_n):

    """ profil d'hydrophocité d'une protéine
        et graphique                          """

    hydrophobicite = profil_hydro(fic_ou_uniprot, taille_n)

    # tracé du profil

    numero_aa = range(3, 3+len(hydrophobicite))
    plot(numero_aa, hydrophobicite, linewidth=1.0,
         label="Echelle de Kyte & Doolittle")
    xlabel("Position")
    ylabel("Score")
    title("Profil d'hydrophobicité de " + fic_ou_uniprot)
    legend(loc='upper right')
    grid()
    text(10, -2.5, "n = " + str(taille_n),
        fontdict={'color': 'green', 'fontweight': 'bold'})
    savefig('profilhyd.png', dpi=60, format='png')


if __name__ == "__main__":  # auto-test

    profil_hydro_gr("P11229", 21)  # URL vue (figure 6.2)

# fin de l'auto-test
